Bug 13449 - Syndetics TOC will not display in some cases
Summary: Syndetics TOC will not display in some cases
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-12 15:15 UTC by Kyle M Hall
Modified: 2016-06-21 21:37 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13449 - Syndetics TOC will not display in some cases (1.69 KB, patch)
2014-12-12 15:17 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13449 - Syndetics TOC will not display in some cases (1.75 KB, patch)
2014-12-12 19:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13449 - Syndetics TOC will not display in some cases (1.89 KB, patch)
2014-12-14 21:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2014-12-12 15:15:57 UTC
For reasons unknown, the table of contents data from Syndetics will not display if there is no p element, even though within that if for the p element there's a second one for the p element! This is neither good nor necessary.
Comment 1 Kyle M Hall 2014-12-12 15:17:09 UTC Comment hidden (obsolete)
Comment 2 Julius 2014-12-12 18:12:40 UTC
This patch has been applied and tested on our instance of Koha. Marked as signed off.
Comment 3 Kyle M Hall 2014-12-12 19:14:48 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-12-14 21:50:09 UTC
Created attachment 34386 [details] [review]
[PASSED QA] Bug 13449 - Syndetics TOC will not display in some cases

For reasons unknown, the table of contents data from Syndetics will not
display if there is no p element, even though within that if for the p
element there's a second one for the p element! This is neither good nor
necessary.

Test Plan:
1) Enable Syndetics
2) Find a record that should have a Syndetics TOC but doesn't
3) Apply this patch
4) Reload the page
5) Note the Syndetics TOC data now displays

Signed-off-by: Julius Fleschner <julius.fleschner@briarcliff.edu>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
I couldn't test but from reading the code this should not
have any negative consequences.
Comment 5 Tomás Cohen Arazi 2014-12-17 23:27:12 UTC
Patch pushed to master.

Thanks Kyle!
Comment 6 Chris Cormack 2014-12-18 04:52:50 UTC
Pushed to 3.18.x will be in 3.18.2